# Enum OperationType

java.lang.Object
java.lang.Enum<OperationType>
com.databricks.jdbc.model.telemetry.latency.OperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<OperationType>`, `java.lang.constant.Constable`

public enum OperationType extends Enum<OperationType>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANCEL_STATEMENT`
`CLOSE_STATEMENT`
`CREATE_SESSION`
`DELETE_SESSION`
`EXECUTE_STATEMENT`
`EXECUTE_STATEMENT_ASYNC`
`LIST_CATALOGS`
`LIST_COLUMNS`
`LIST_CROSS_REFERENCES`
`LIST_EXPORTED_KEYS`
`LIST_FUNCTIONS`
`LIST_IMPORTED_KEYS`
`LIST_PRIMARY_KEYS`
`LIST_SCHEMAS`
`LIST_TABLE_TYPES`
`LIST_TABLES`
`LIST_TYPE_INFO`
`TYPE_UNSPECIFIED`

## Method Summary

Modifier and Type
Method
Description
`static OperationType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static OperationType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TYPE_UNSPECIFIED

public static final OperationType TYPE_UNSPECIFIED

### CREATE_SESSION

public static final OperationType CREATE_SESSION

### DELETE_SESSION

public static final OperationType DELETE_SESSION

### EXECUTE_STATEMENT

public static final OperationType EXECUTE_STATEMENT

### EXECUTE_STATEMENT_ASYNC

public static final OperationType EXECUTE_STATEMENT_ASYNC

### CLOSE_STATEMENT

public static final OperationType CLOSE_STATEMENT

### CANCEL_STATEMENT

public static final OperationType CANCEL_STATEMENT

### LIST_TYPE_INFO

public static final OperationType LIST_TYPE_INFO

### LIST_CATALOGS

public static final OperationType LIST_CATALOGS

### LIST_SCHEMAS

public static final OperationType LIST_SCHEMAS

### LIST_TABLES

public static final OperationType LIST_TABLES

### LIST_TABLE_TYPES

public static final OperationType LIST_TABLE_TYPES

### LIST_COLUMNS

public static final OperationType LIST_COLUMNS

### LIST_FUNCTIONS

public static final OperationType LIST_FUNCTIONS

### LIST_PRIMARY_KEYS

public static final OperationType LIST_PRIMARY_KEYS

### LIST_IMPORTED_KEYS

public static final OperationType LIST_IMPORTED_KEYS

### LIST_EXPORTED_KEYS

public static final OperationType LIST_EXPORTED_KEYS

### LIST_CROSS_REFERENCES

public static final OperationType LIST_CROSS_REFERENCES

## Method Details

### values

public static OperationType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static OperationType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null